Skip to main content
PATCH
/
api
/
v1
/
bills
/
{bill_id}
Update Bill
curl --request PATCH \
  --url https://staging.cutmake.ai/api/v1/bills/{bill_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "billNumber": "<string>",
  "billType": "<string>",
  "supplierId": "<string>",
  "clientId": "<string>",
  "employeeName": "<string>",
  "employeeId": "<string>",
  "linkedPoId": "<string>",
  "purchaseOrderId": "<string>",
  "managementAccountId": "<string>",
  "currency": "<string>",
  "subtotal": 123,
  "taxRate": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "paidAmount": 123,
  "remainingBalance": 123,
  "dueDate": "<string>",
  "status": "<string>",
  "sourceOfFunds": "<string>",
  "notes": "<string>"
}
'
{
  "id": "<string>",
  "billNumber": "<string>",
  "billType": "<string>",
  "supplierId": "<string>",
  "supplierName": "<string>",
  "clientId": "<string>",
  "employeeName": "<string>",
  "employeeId": "<string>",
  "linkedPoId": "<string>",
  "purchaseOrderId": "<string>",
  "purchaseOrderDocumentId": "<string>",
  "purchase_order": {},
  "managementAccountId": "<string>",
  "currency": "<string>",
  "subtotal": 123,
  "taxRate": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "paidAmount": 123,
  "remainingBalance": 123,
  "dueDate": "<string>",
  "status": "<string>",
  "sourceOfFunds": "<string>",
  "notes": "<string>",
  "createdAt": "<string>"
}

Path Parameters

bill_id
string
required

Body

application/json
billNumber
string | null
billType
string | null
supplierId
string | null
clientId
string | null
employeeName
string | null
employeeId
string | null
linkedPoId
string | null
purchaseOrderId
string | null
managementAccountId
string | null
currency
string | null
subtotal
number | null
taxRate
number | null
taxAmount
number | null
totalAmount
number | null
paidAmount
number | null
remainingBalance
number | null
dueDate
string | null
status
string | null
sourceOfFunds
string | null
notes
string | null

Response

Successful Response

id
string
required
billNumber
string
required
billType
string
required
supplierId
string | null
supplierName
string | null
clientId
string | null
employeeName
string | null
employeeId
string | null
linkedPoId
string | null
purchaseOrderId
string | null
purchaseOrderDocumentId
string | null
purchase_order
Purchase Order · object
managementAccountId
string | null
currency
string | null
subtotal
number | null
taxRate
number | null
taxAmount
number | null
totalAmount
number | null
paidAmount
number | null
remainingBalance
number | null
dueDate
string | null
status
string | null
sourceOfFunds
string | null
notes
string | null
createdAt
string | null